=== debian/changelog ===
intel-mediasdk (20.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release. (LP: #1872000)
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 Apr 2020 09:58:14 +0300
