=== debian/control ===
Source: intel-mediasdk
Section: libs
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (= 12),
 cmake,
 libdrm-dev,
 libgmock-dev,
 libgtest-dev,
 libpciaccess-dev,
 libva-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 pkg-config,
Standards-Version: 4.5.0
Homepage: https://github.com/Intel-Media-SDK/MediaSDK
Vcs-Browser: https://salsa.debian.org/debian/intel-mediasdk
Vcs-Git: https://salsa.debian.org/debian/intel-mediasdk.git

Package: libmfx1
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Intel Media SDK -- shared library
 Intel® Media SDK provides an API to access hardware-accelerated video decode,
 encode and filtering on Intel® platforms with integrated graphics.
 .
 Supported video encoders: HEVC, AVC, MPEG-2, JPEG
 Supported Video decoders: HEVC, AVC, VP8, MPEG-2, VC1, JPEG
 Supported video pre-processing filters: Color Conversion, Deinterlace, Denoise,
 Resize, Rotate, Composition
 .
 This package contains the shared library.

Package: libmfx-dev
Section: libdevel
Architecture: amd64
Depends:
 libmfx1 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: Intel Media SDK -- development files
 Intel® Media SDK provides an API to access hardware-accelerated video decode,
 encode and filtering on Intel® platforms with integrated graphics.
 .
 Supported video encoders: HEVC, AVC, MPEG-2, JPEG
 Supported Video decoders: HEVC, AVC, VP8, MPEG-2, VC1, JPEG
 Supported video pre-processing filters: Color Conversion, Deinterlace, Denoise,
 Resize, Rotate, Composition
 .
 This package contains files needed for development.

Package: libmfx-tools
Section: graphics
Architecture: amd64
Depends:
 libmfx1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Intel Media SDK -- tools
 Intel® Media SDK provides an API to access hardware-accelerated video decode,
 encode and filtering on Intel® platforms with integrated graphics.
 .
 Supported video encoders: HEVC, AVC, MPEG-2, JPEG
 Supported Video decoders: HEVC, AVC, VP8, MPEG-2, VC1, JPEG
 Supported video pre-processing filters: Color Conversion, Deinterlace, Denoise,
 Resize, Rotate, Composition
 .
 This package contains tools (asg-hevc and hevc_fei_extractor) and a test to
 check the functionality.
