=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%intel-mediasdk-$1.tar.gz%" \
   https://github.com/Intel-Media-SDK/MediaSDK/tags \
   (?:.*?/)?intel-mediasdk-?(\d[\d.]*)\.tar\.gz
